Draft FlipDimension/tr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
{{Page_in_progress}}
<languages/>
<languages/>


Line 17: Line 16:
==Description==
==Description==


This tool flips the [[Draft_Dimension|Draft Dimension]] text around the dimension line. It can be done to adjust the appearance of the dimension.
The [[Image:Draft_FlipDimension.svg|24px]] '''Draft FlipDimension''' command rotates the dimension text of selected [[Draft_Dimension|Draft Dimensions]] 180° around the dimension line. It can be used to correct dimensions whose text appears mirrored. The command does not work properly for angular dimensions.


==Usage==
==Usage==


# Select a [[Draft_Dimension|Draft Dimension]] object.
# Select one or more [[Draft_Dimension|Draft Dimensions]].
# There are several ways to invoke the command:
# Press the {{Button|[[Image:Draft_FlipDimension.png|16px]] [[Draft_FlipDimension|Flip Dimension]]}} button.
#* Press the {{Button|[[Image:Draft_FlipDimension.svg|16px]] [[Draft_FlipDimension|Draft FlipDimension]]}} button.
#* Select the {{MenuCommand|Modification → [[Image:Draft_FlipDimension.svg|16px]] Flip dimension}} option from the menu.
#* Select the {{MenuCommand|Utilities → [[Image:Draft_FlipDimension.svg|16px]] Flip dimension}} option from the menu.


==Notes==
What this tool does internally is to invert the normal direction of the dimension, which is used to position the text.


[[Draft_Dimension|Draft Dimensions]] also have a {{PropertyData|Flip Text}} property which, when it is {{TRUE}}, rotates the text by 180 degrees around the normal direction. By combining these two features, flipping the normal direction and flipping the text, you are able to make the text appear correctly in all possible situations.
* [[Draft_Dimension|Draft Dimensions]] also have a {{PropertyData|Flip Text}} property. When set to {{TRUE}} the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

==Scripting==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].

To flip a [[Draft_Dimension|Draft Dimension]] invert its {{incode|Normal}} property.

Example:

{{Code|code=
import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()
}}





Revision as of 09:33, 16 June 2021

Boyutu çevir

Menü konumu
Draft → Utilities → Flip Dimension
Tezgahlar
Draft, Arch
Varsayılan kısayol
Hiçbiri
Versiyonda tanıtıldı
-
Ayrıca bkz
Dimension

Description

The Draft FlipDimension command rotates the dimension text of selected Draft Dimensions 180° around the dimension line. It can be used to correct dimensions whose text appears mirrored. The command does not work properly for angular dimensions.

Usage

  1. Select one or more Draft Dimensions.
  2. There are several ways to invoke the command:
    • Press the Draft FlipDimension button.
    • Select the Modification → Flip dimension option from the menu.
    • Select the Utilities → Flip dimension option from the menu.

Notes

  • Draft Dimensions also have a VeriFlip Text property. When set to true the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To flip a Draft Dimension invert its Normal property.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()